<!DOCTYPE html>
<html>
<head>
  <title>OnlineFood</title>
  <%= csrf_meta_tags %>
  <%= csp_meta_tag %>

  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
</head>

<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="#">"Online-Food"</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
         <%= link_to 'Заведения', shops_path, class: 'nav-link' %>
       </li>
     </ul>

     <div class="navbar-nav ml-auto">
      <div class="navbar-nav ml-auto">
        <% if user_signed_in? %>
        <div class="nav-item">
          <span class="navbar-text">
            Hello, &nbsp;
          </span>
        </div>

        <div class="dropdown show">
          <%= link_to current_user.name, edit_user_registration_path(current_user), class: 'btn btn-secondary dropdown-toggle', 'role' => "button", 'id' => "dropdownMenuLink", 'data-toggle' => "dropdown", 'aria-haspopup' => "true", 'aria-expanded' => "false" %>
          <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
            <%= link_to 'Edit profile', edit_user_registration_path(current_user), class: 'dropdown-item' %>
            <%= link_to 'Sign out', destroy_user_session_path, method: :delete, class: 'dropdown-item' %>
          </div>
          <div>
            <% else %>
            <div class="nav-item">
             <%= link_to 'Sign up', new_user_registration_path, class: 'nav-link' %>
           </div>
           <div class="nav-item">
             <%= link_to 'Log in', new_user_session_path, class: 'nav-link' %>
           </div>
           <% end %>
         </div>
       </div>
     </div>
   </div>
 </div>
</nav>

<div class="container">
  <%= yield %>
</div>
</body>
</html>
